Package org.eclipse.mat.inspections.collections

# Class HashEntriesQuery.Result

java.lang.Object
org.eclipse.mat.inspections.collections.HashEntriesQuery.Result

All Implemented Interfaces:
  `IResult`, `IResultTable`, `IStructuredResult`

Enclosing class:
  HashEntriesQuery

public static class HashEntriesQuery.Result extends Object implements IResultTable

## Method Summary

Modifier and Type
Method
Description
`Column[]`
`getColumns()`
The columns of the tree or table.
`Object`
`getColumnValue(Object row, int columnIndex)`
Returns the (unformatted) value of a table/tree cell.
`IContextObject`
`getContext(Object row)`
The default context of the row which is used to display information in the object inspector.
`int`
`getObjectId(String key, IProgressListener listener)`
`ResultMetaData`
`getResultMetaData()`
(Optionally) Return meta data of the result needed to fine-tune the display of the result.
`Object`
`getRow(int rowId)`
Returns the object of the row with the given row number.
`int`
`getRowCount()`
Returns the number of rows in the result table.
`String`
`getString(String key, IProgressListener listener)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getResultMetaData

public ResultMetaData getResultMetaData()
Description copied from interface: `IResult`
(Optionally) Return meta data of the result needed to fine-tune the display of the result. This could include an additional context, an additional query to run on selected data from the result , additional calculated columns, or an indication that the results are already presorted.

Specified by:
  `getResultMetaData` in interface `IResult`
Returns:
  the metadata for the result, used to obtain extra data

### getColumns

public Column[] getColumns()
Description copied from interface: `IStructuredResult`
The columns of the tree or table.

Specified by:
  `getColumns` in interface `IStructuredResult`
Returns:
  an array of all the columns

### getColumnValue

public Object getColumnValue(Object row, int columnIndex)
Description copied from interface: `IStructuredResult`
Returns the (unformatted) value of a table/tree cell.

Specified by:
  `getColumnValue` in interface `IStructuredResult`
Parameters:
  `row` - The row object as returned by the `IResultTable.getRow(int)` or `IResultTree.getElements()` or `IResultTree.getChildren(Object)` methods
  `columnIndex` - The index of the column.
Returns:
  the cell value

### getRowCount

public int getRowCount()
Description copied from interface: `IResultTable`
Returns the number of rows in the result table.

Specified by:
  `getRowCount` in interface `IResultTable`
Returns:
  the number of rows

### getRow

public Object getRow(int rowId)
Description copied from interface: `IResultTable`
Returns the object of the row with the given row number.

Specified by:
  `getRow` in interface `IResultTable`
Parameters:
  `rowId` - The row number.
Returns:
  an opaque row object representing this row which can be passed to `IStructuredResult.getContext(Object)` or `IStructuredResult.getColumnValue(Object, int)`.

### getContext

public IContextObject getContext(Object row)
Description copied from interface: `IStructuredResult`
The default context of the row which is used to display information in the object inspector. Unless no context provider is given via the `ResultMetaData`, it is also used for the context menu on a row.

Specified by:
  `getContext` in interface `IStructuredResult`
Parameters:
  `row` - The row object as returned by the `IResultTable.getRow(int)` or `IResultTree.getElements()` or `IResultTree.getChildren(Object)` methods.
Returns:
  a context object holding details about that row

### getString

public String getString(String key, IProgressListener listener)

### getObjectId

public int getObjectId(String key, IProgressListener listener)